org.keycloak.connections.file

## Class DefaultFileConnectionProviderFactory

- java.lang.Object
- - org.keycloak.connections.file.DefaultFileConnectionProviderFactory

- All Implemented Interfaces:
    FileConnectionProviderFactory, ProviderFactory<FileConnectionProvider>

      public class DefaultFileConnectionProviderFactory
      extends Object
      implements FileConnectionProviderFactory

  This class dispenses a FileConnectionProvider to Keycloak sessions. It makes sure that only one InMemoryModel is provided for each session and it handles thread contention for the file where the model is read or saved.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2015 Red Hat Inc.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultFileConnectionProviderFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `FileConnectionProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)`
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized
    `void` | `sessionClosed(KeycloakSession session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### DefaultFileConnectionProviderFactory

          public DefaultFileConnectionProviderFactory()

  - ### Method Detail

    - #### init

          public void init(Config.Scope config)

      Specified by:
        `init` in interface `ProviderFactory<FileConnectionProvider>`

    - #### sessionClosed

          public void sessionClosed(KeycloakSession session)

    - #### create

          public FileConnectionProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<FileConnectionProvider>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `ProviderFactory<FileConnectionProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<FileConnectionProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<FileConnectionProvider>`

Copyright © 2015. All rights reserved.